fstests.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [xfstests-bld PATCH] gen-tarball: add 'set -e'
@ 2020-11-01 17:24 Eric Biggers
  2020-11-11 19:21 ` Eric Biggers
  0 siblings, 1 reply; 5+ messages in thread
From: Eric Biggers @ 2020-11-01 17:24 UTC (permalink / raw)
  To: Theodore Ts'o; +Cc: fstests

From: Eric Biggers <ebiggers@google.com>

The latest master branch of xfstests is missing a Makefile in
tests/ceph/, which broke xfstests's 'make install'.  But gen-tarball
didn't notice this.  Fix this by adding 'set -e', and to make this work
adjust a couple other commands that are expected to fail.

Signed-off-by: Eric Biggers <ebiggers@google.com>
---
 gen-tarball | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/gen-tarball b/gen-tarball
index 7d38b95..f925b39 100755
--- a/gen-tarball
+++ b/gen-tarball
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 if test -f config.custom ; then
 	. config.custom
 else
@@ -72,15 +74,19 @@ if test -d bld/usr/bin ; then
     cp bld/usr/bin/* xfstests/bin
 fi
 cp bld/lib/client.txt xfstests/lib
-cp bld/lib/libimaevm.so.0.0.0 xfstests/lib
-ln -s libimaevm.so.0.0.0 xfstests/lib/libimaevm.so.0
+# ima-evm-utils is optional.
+if test -e bld/lib/libimaevm.so.0.0.0; then
+    cp bld/lib/libimaevm.so.0.0.0 xfstests/lib
+    ln -s libimaevm.so.0.0.0 xfstests/lib/libimaevm.so.0
+fi
 rm -f xfstests/bin/compile_et xfstests/bin/mk_cmds
 for i in ltp/fsstress ltp/fsx ltp/aio-stress src/godown
 do
     ln -s ../$i xfstests/bin
 done
 echo "STRIP xfstests/*"
-find xfstests -mindepth 2 -type f -perm /0111 | xargs $STRIP 2> /dev/null
+find xfstests -mindepth 2 -type f -perm /0111 | xargs $STRIP 2> /dev/null \
+    || true
 echo "TAR xfstests"
 find xfstests blktests -path blktests/.git -prune -o -print0 | \
     LC_ALL=C sort -z | \
-- 
2.29.1


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2020-11-12  5:39 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-11-01 17:24 [xfstests-bld PATCH] gen-tarball: add 'set -e' Eric Biggers
2020-11-11 19:21 ` Eric Biggers
2020-11-11 21:25   ` Eric Biggers
2020-11-11 21:35     ` [xfstests-bld PATCH v2] " Eric Biggers
2020-11-12  3:51       ` Theodore Y. Ts'o

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).